# Run tests in check section
%bcond_without check

%global goipath         github.com/shurcooL/users
%global commit          49c67e49c5377c48c01f82d3e1b6844a901a0b33

%global common_description %{expand:
Users service definition for Go.}

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 0.3
Summary:        Users service definition for Go
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(github.com/google/go-github/github)
BuildRequires: golang(github.com/tambet/go-asana/asana)
BuildRequires: golang(golang.org/x/net/webdav)

%description
%{common_description}

%gometa
%global golicenses      LICENSE
%global godocs          README.md
%gopkg


%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
%gochecks
%endif

%gopkgfiles



%changelog
* Wed Apr 06 2022 umeabot <umeabot> 0-0.3.mga9
+ Revision: 1846004
- Mageia 9 Mass Rebuild

* Sun Aug 30 2020 joequant <joequant> 0-0.2.mga8
+ Revision: 1619919
- fix build

* Sun Nov 25 2018 pterjan <pterjan> 0-0.2.mga7
+ Revision: 1334673
- imported package golang-github-shurcool-users


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.git49c67e4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Mar 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20180420git49c67e4
- First package for Fedora

